import Toybox.Application;
import Toybox.Lang;
import Toybox.WatchUi;

(:background)
class ComplexWFApp extends Application.AppBase {
    var view=null;

    function initialize() {
        AppBase.initialize();
    }

    function onSettingsChanged() {
        if(view!=null) {
            view.mySettings.load();
            WatchUi.requestUpdate();
        }
    }

    function onBackgroundData(data) {
        if(view!=null) {
            view.bgMessage=data;
//System.println("write="+data);
            Application.Storage.setValue(view.bgMessageKey, data);
            WatchUi.requestUpdate();
        }
    }

    function onStart(state as Dictionary?) as Void {
    }

    function onStop(state as Dictionary?) as Void {
    }

    function getInitialView() as Array<Views or InputDelegates>? {
        view= new ComplexWFView();
        if(view.mySettings.hasProperties) {
            return [view,new ComplexWFDeligate(view)] as Array<Views or InputDelegates>;
        } else {
            return [view] as Array<Views or InputDelegates>;
        }
    }


    function getSettingsView() {
        var setView=new ComplexWFSettingsMenu();
        return [setView,new ComplexWFSettingsMenuDelegate(setView)]  as Array<Views or InputDelegates>;
    }  

    function getServiceDelegate(){
        return [new ComplexWFServiceDelegate()];
    }
}

function getApp() as ComplexWFApp {
    return Application.getApp() as ComplexWFApp;
}